Kerbal Space Program - Bug #2875

Crashed to desktop then no more 3D graphics (64bit)
08/19/2014 04:39 PM - Arumenn

Status: Closed Start date: 08/19/2014
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

| had 2 crashes to desktop when switching from Space Center to any Vessel currently in flight (crashes happened during loading
screen). In both times, it was after a max-speed time warp (because | wanted to fast-forward hundreds of days until some vessels
would be close to Duna for the next maneuvers).

Then, instead of completely crashing to desktop, whenever | switched to a in-flight vessel, all 3D graphics (so excluding Ul) didn't
loaded. When | switched back to Space Center (still no 3D graphics) and checked the Tracker, the vessel in question no longer
existed. | assume this graphics problem was because of leftover files after the crashes.

History

#1 - 08/21/2014 01:32 AM - Mesons

| see from your output_log.txt that you are running several mods, including KAC and MechJeb. The source of the bug could be one of these mods--try
to reproduce the bug in vanilla and post again.

#2 - 08/21/2014 09:54 AM - Arumenn

- File Arumenn_crash_logs_no_mods.rar added

Good point.

Still crashing without mods, here's the logs.

#3 - 08/21/2014 04:24 PM - Mesons

Can you list the steps needed to reproduce the bug? Please include a .craft file for an affected vessel.

#4 - 08/21/2014 04:49 PM - Arumenn

Make sure you have some flights in progress (I had 18 while using the mod, 1 without the mods).

While in the Space Center, time warp at maximum speed.

At any time during that time warp, click on the Mission Control building and then leave the building.

Do this any number of times you want all while time warp is still at max speed.

Then slow down the time to 1x and use the Tracker to jump to any in-flight vessel.

Crash happens either while loading that vessel or when loading back the Space Center. It doesn't matter which vessel it goes to.

#5 - 08/21/2014 04:51 PM - Arumenn

- File Daenerys-Rover.craft added

Here is the only .craft common to my with-mod and without-mod savefiles.

#6 - 08/22/2014 10:59 PM - Mesons

¢ | can't reproduce the bug following your directions, on career mode or sandbox.
* The .craft file you uploaded contains mod parts--my vanilla install says "[Error]: [ShipConstruct]: Trying to load Daenerys-Rover - No
AvailablePart found for mumech.MJ2.AR202" in the Debug Console (in sandbox) when trying to launch your craft.

Please try to reproduce the bug on a fresh installation of KSP with standard parts. You might also try to remove whatever part mumech.MJ2.AR202 is

referring to and try to reproduce the bug again--the problem may lie in MechJeb (I assume that's what the MJ stands for). If you can't reproduce the
bug in vanilla, we should probably close this report.
#7 - 08/25/2014 09:56 AM - Ruedii
mumech.MJ.AR202 is the mechjeb unit.

As of reproducing a bug fully on stock, let me go through the steps.

Please (backup and) delete the following folders from your KSP directory:
\saves\
\settings.cfg

Also delete all subdirectories and files except what is contained in the directories "Squad" and "NASAmission" in the following directory:
\GameData\

You may just want to copy the whole KSP directory before doing this. | maintain a separate stock-only KSP installation directory specifically for
testing.

As a note, unless this can be duplicated on a non-Win64 setup, it should be considered Win64 specific.

Finally, you don't need to compress your log files. HTTP uses gzip compression for transit (which has better compression than RAR) and the server
likely does not need compression. Compressing files with RAR just makes it so people can't view them in their browsers. (As a note, of the
widespread used protocols 7zip has the best compression ratio for most major data types, including text. There are a handful of compression formats
that are superior, but most are obscure formats like Izop or experimental formats like pagq.)

#8 - 08/25/2014 02:51 PM - Arumenn

| tried on a fresh, vanilla install, and wasn't able to reproduce either. So I'll blame the mods and I'm sorry for wasting your time. I'll try to save my
savegame somehow.

You can close this ticket.
#9 - 09/04/2014 04:37 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Files

Arumenn_crash_logs.rar 113 KB 08/19/2014 Arumenn
Arumenn_crash_logs_no_mods.rar 45.5 KB 08/21/2014 Arumenn
Daenerys-Rover.craft 103 KB 08/21/2014 Arumenn
